MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
sc::SCMatrixCompositeSubblockIter Class Reference
Inheritance diagram for sc::SCMatrixCompositeSubblockIter:

List of all members.

## Public Member Functions

| SCMatrixCompositeSubblockIter (Access, int niter)
| SCMatrixCompositeSubblockIter (Ref< SCMatrixSubblockIter > &, Ref< SCMatrixSubblockIter > &)
void | set_iter (int i, const Ref< SCMatrixSubblockIter > &)
void | begin ()
| Start at the beginning.
int | ready ()
| Returns nonzero if there is another block.
void | next ()
| Proceed to the next block.
SCMatrixBlock * | block ()
| Return the current block.
int | current_block () const

## Protected Attributes

int | niters_
Ref< SCMatrixSubblockIter > * | iters_
int | iiter_

The documentation for this class was generated from the following file:

- block.h